Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07634 DIP/Input Minor Always Apr 29, 2020, 22:40 May 8, 2020, 15:34
Tester joepublic View Status Public Platform Other
Assigned To joepublic Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver subsino2.cpp
Version 0.220 Fixed in Version 0.222 Build 64-bit
Summary 07634: mtrain: Dip switch wording reversed for "Double Up"
Description With "Double Up" set to "Yes", double up is turned off. With "Double Up" set to "No", double up is turned on.
Steps To Reproduce Play and win a game in each dip switch configuration, Double Up/Yes and Double Up/No.
Additional Information
Flags
Regression Version
Affected Sets / Systems mtrain
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17585
joepublic
Tester
Apr 30, 2020, 01:20
subsino2.cpp comments at the top say in part,
>> To do:
>> - mtrain: implement hopper. Double up does not work?

However, double up seems to work if set to "No" in dip switch settings.
User avatar
No.17587
joepublic
Tester
Apr 30, 2020, 02:04
"Double Up" dip switch options for mtrain are currently around line 1917 - 1919 in subsino2.cpp